<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>AffineTransform (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AffineTransform (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/math/transform/CombinedTransform.html" title="class in com.sk89q.worldedit.math.transform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/transform/AffineTransform.html" target="_top">Frames</a></li>
<li><a href="AffineTransform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.math.transform</div>
<h2 title="Class AffineTransform" class="title">Class AffineTransform</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.math.transform.AffineTransform</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">AffineTransform</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></pre>
<div class="block">An affine transform.

 <p>This class is from the
 <a href="http://geom-java.sourceforge.net/index.html">JavaGeom project</a>,
 which is licensed under LGPL v2.1.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#AffineTransform--">AffineTransform</a></span>()</code>
<div class="block">Creates a new affine transform3D set to identity</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#AffineTransform-double:A-">AffineTransform</a></span>(double[]&nbsp;coefs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#AffineTransform-double-double-double-double-double-double-double-double-double-double-double-double-">AffineTransform</a></span>(double&nbsp;xx,
               double&nbsp;yx,
               double&nbsp;zx,
               double&nbsp;tx,
               double&nbsp;xy,
               double&nbsp;yy,
               double&nbsp;zy,
               double&nbsp;ty,
               double&nbsp;xz,
               double&nbsp;yz,
               double&nbsp;zz,
               double&nbsp;tz)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#apply-com.sk89q.worldedit.math.Vector3-">apply</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vector)</code>
<div class="block">Returns the result of applying the function to the input.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>double[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#coefficients--">coefficients</a></span>()</code>
<div class="block">Returns the affine coefficients of the transform.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#combine-com.sk89q.worldedit.math.transform.AffineTransform-">combine</a></span>(<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;other)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#combine-com.sk89q.worldedit.math.transform.Transform-">combine</a></span>(<a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a>&nbsp;other)</code>
<div class="block">Create a new <a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform"><code>Transform</code></a> that combines this transform with another.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#concatenate-com.sk89q.worldedit.math.transform.AffineTransform-">concatenate</a></span>(<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;that)</code>
<div class="block">Returns the affine transform created by applying first the affine
 transform given by <code>that</code>, then this affine transform.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#inverse--">inverse</a></span>()</code>
<div class="block">Computes the inverse affine transform.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#isIdentity--">isIdentity</a></span>()</code>
<div class="block">Return whether this transform is an identity.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#preConcatenate-com.sk89q.worldedit.math.transform.AffineTransform-">preConcatenate</a></span>(<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;that)</code>
<div class="block">Return the affine transform created by applying first this affine
 transform, then the affine transform given by <code>that</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#rotateX-double-">rotateX</a></span>(double&nbsp;theta)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#rotateY-double-">rotateY</a></span>(double&nbsp;theta)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#rotateZ-double-">rotateZ</a></span>(double&nbsp;theta)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#scale-double-">scale</a></span>(double&nbsp;s)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#scale-double-double-double-">scale</a></span>(double&nbsp;sx,
     double&nbsp;sy,
     double&nbsp;sz)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#scale-com.sk89q.worldedit.math.Vector3-">scale</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vec)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#translate-com.sk89q.worldedit.math.BlockVector3-">translate</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;vec)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#translate-double-double-double-">translate</a></span>(double&nbsp;x,
         double&nbsp;y,
         double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html#translate-com.sk89q.worldedit.math.Vector3-">translate</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vec)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AffineTransform--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AffineTransform</h4>
<pre>public&nbsp;AffineTransform()</pre>
<div class="block">Creates a new affine transform3D set to identity</div>
</li>
</ul>
<a name="AffineTransform-double:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AffineTransform</h4>
<pre>public&nbsp;AffineTransform(double[]&nbsp;coefs)</pre>
</li>
</ul>
<a name="AffineTransform-double-double-double-double-double-double-double-double-double-double-double-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AffineTransform</h4>
<pre>public&nbsp;AffineTransform(double&nbsp;xx,
                       double&nbsp;yx,
                       double&nbsp;zx,
                       double&nbsp;tx,
                       double&nbsp;xy,
                       double&nbsp;yy,
                       double&nbsp;zy,
                       double&nbsp;ty,
                       double&nbsp;xz,
                       double&nbsp;yz,
                       double&nbsp;zz,
                       double&nbsp;tz)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isIdentity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIdentity</h4>
<pre>public&nbsp;boolean&nbsp;isIdentity()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html#isIdentity--">Transform</a></code></span></div>
<div class="block">Return whether this transform is an identity.

 <p>If it is not known, then <code>false</code> must be returned.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html#isIdentity--">isIdentity</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if identity</dd>
</dl>
</li>
</ul>
<a name="coefficients--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>coefficients</h4>
<pre>public&nbsp;double[]&nbsp;coefficients()</pre>
<div class="block">Returns the affine coefficients of the transform. Result is an array of
 12 double.</div>
</li>
</ul>
<a name="inverse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inverse</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;inverse()</pre>
<div class="block">Computes the inverse affine transform.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html#inverse--">inverse</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new inverse transform</dd>
</dl>
</li>
</ul>
<a name="concatenate-com.sk89q.worldedit.math.transform.AffineTransform-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>concatenate</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;concatenate(<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;that)</pre>
<div class="block">Returns the affine transform created by applying first the affine
 transform given by <code>that</code>, then this affine transform.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>that</code> - the transform to apply first</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the composition this * that</dd>
</dl>
</li>
</ul>
<a name="preConcatenate-com.sk89q.worldedit.math.transform.AffineTransform-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>preConcatenate</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;preConcatenate(<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;that)</pre>
<div class="block">Return the affine transform created by applying first this affine
 transform, then the affine transform given by <code>that</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>that</code> - the transform to apply in a second step</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the composition that * this</dd>
</dl>
</li>
</ul>
<a name="translate-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translate</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;translate(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vec)</pre>
</li>
</ul>
<a name="translate-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translate</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;translate(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;vec)</pre>
</li>
</ul>
<a name="translate-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translate</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;translate(double&nbsp;x,
                                 double&nbsp;y,
                                 double&nbsp;z)</pre>
</li>
</ul>
<a name="rotateX-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotateX</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;rotateX(double&nbsp;theta)</pre>
</li>
</ul>
<a name="rotateY-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotateY</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;rotateY(double&nbsp;theta)</pre>
</li>
</ul>
<a name="rotateZ-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotateZ</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;rotateZ(double&nbsp;theta)</pre>
</li>
</ul>
<a name="scale-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scale</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;scale(double&nbsp;s)</pre>
</li>
</ul>
<a name="scale-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scale</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;scale(double&nbsp;sx,
                             double&nbsp;sy,
                             double&nbsp;sz)</pre>
</li>
</ul>
<a name="scale-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scale</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;scale(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vec)</pre>
</li>
</ul>
<a name="apply-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>apply</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;apply(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;vector)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html#apply-com.sk89q.worldedit.math.Vector3-">Transform</a></code></span></div>
<div class="block">Returns the result of applying the function to the input.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html#apply-com.sk89q.worldedit.math.Vector3-">apply</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vector</code> - the input</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result</dd>
</dl>
</li>
</ul>
<a name="combine-com.sk89q.worldedit.math.transform.AffineTransform-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>combine</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;combine(<a href="../../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform">AffineTransform</a>&nbsp;other)</pre>
</li>
</ul>
<a name="combine-com.sk89q.worldedit.math.transform.Transform-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>combine</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a>&nbsp;combine(<a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a>&nbsp;other)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html#combine-com.sk89q.worldedit.math.transform.Transform-">Transform</a></code></span></div>
<div class="block">Create a new <a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform"><code>Transform</code></a> that combines this transform with another.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html#combine-com.sk89q.worldedit.math.transform.Transform-">combine</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other transform to occur second</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new transform</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/math/transform/CombinedTransform.html" title="class in com.sk89q.worldedit.math.transform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/transform/AffineTransform.html" target="_top">Frames</a></li>
<li><a href="AffineTransform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
